package com.xjrsoft.module.banding.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.banding.dto.ChangeClassDto;
import com.xjrsoft.module.banding.entity.BandingTaskClassStudent;
import com.xjrsoft.module.student.dto.BaseNewStudentPageDto;

import java.util.List;

/**
* @title: 新生分班任务
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/

public interface IBandingTaskClassStudentService extends MPJBaseService<BandingTaskClassStudent> {
    /**
    * 新增
    *
    * @param bandingTaskClass
    * @return
    */
    Boolean add(BandingTaskClassStudent bandingTaskClass);

    /**
    * 更新
    *
    * @param bandingTaskClass
    * @return
    */
    Boolean update(BandingTaskClassStudent bandingTaskClass);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);


    Boolean changeClass(ChangeClassDto dto);

    Boolean removeStudent(ChangeClassDto dto);


    List<BaseNewStudentPageDto> satisfyStudent(Long bandingTaskClassId);

    List<BaseNewStudentPageDto> surplusStudent(Long bandingTaskClassId);


    Boolean insertStudent(ChangeClassDto dto);
}
